aboutsummaryrefslogtreecommitdiffstats
path: root/non-free
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2013-02-15 07:12:26 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2013-02-15 08:56:40 +0000
commit739d69780ea8997923155e5cf977d40e5376eb48 (patch)
treecb7c0e67a949455b25e0b6a37219c57d68a22f6a /non-free
parentda5ab643c3af9fd01440d292917f1403734cc272 (diff)
downloadaports-739d69780ea8997923155e5cf977d40e5376eb48.tar.gz
aports-739d69780ea8997923155e5cf977d40e5376eb48.tar.bz2
aports-739d69780ea8997923155e5cf977d40e5376eb48.tar.xz
non-free/netperf: new aport
The license permits only non-commercial use, so its not really free.
Diffstat (limited to 'non-free')
-rw-r--r--non-free/netperf/APKBUILD48
1 files changed, 48 insertions, 0 deletions
diff --git a/non-free/netperf/APKBUILD b/non-free/netperf/APKBUILD
new file mode 100644
index 0000000000..bb3b9523a5
--- /dev/null
+++ b/non-free/netperf/APKBUILD
@@ -0,0 +1,48 @@
+# Contributor:
+# Maintainer:
+pkgname=netperf
+pkgver=2.6.0
+pkgrel=0
+pkgdesc="TCP/UDP/sockets/etc performance benchmark"
+url="http://www.netperf.org/netperf/"
+arch="all"
+license="netperf"
+depends=""
+depends_dev=""
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-doc"
+source="ftp://ftp.netperf.org/netperf/netperf-$pkgver.tar.bz2"
+
+_builddir="$srcdir"/netperf-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info \
+ --localstatedir=/var \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ install -d "$pkgdir"/usr/share/licenses/netperf
+ install COPYING "$pkgdir"/usr/share/licenses/netperf/
+}
+
+md5sums="9654ffdfd4c4f2c93ce3733cd9ed9236 netperf-2.6.0.tar.bz2"
+sha256sums="cd8dac710d4273d29f70e8dbd09353a6362ac58a11926e0822233c0cb230323a netperf-2.6.0.tar.bz2"
+sha512sums="b3921d2e887088b14a8bbe5ace9b1cc0c8b29951eeaa7857ce3f324933397c8ff6b56eeacfe755181ce1a56c982fe431955f6db55bd20f2343324e22ee23c9b3 netperf-2.6.0.tar.bz2"